> For the complete documentation index, see [llms.txt](https://handtracking.lightbuzz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://handtracking.lightbuzz.com/api-reference/finger/palm.md).

# Palm

{% hint style="warning" %}
The `Hand` class automatically instantiates the `Palm` class for you.
{% endhint %}

```csharp
public class Palm : Finger
```

Inherits [Finger ](/api-reference/finger.md)class.

### Constructors

| Name                                                                                                                 | Description                                                                        |
| -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------- |
| Palm(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Palm object with the specified finger joint types and finger joints. |

### Properties

| Name      | Type                                         | Description                                             |
| --------- | -------------------------------------------- | ------------------------------------------------------- |
| Wrist     | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The root of the hand.                        |
| Center    | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The middle of the palm.                      |
| ThumbCMP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The thumb carpometacarpal joint.             |
| ThumbMCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The thumb metacarpophalangeal joint.         |
| IndexMCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The index finger metacarpophalangeal joint.  |
| MiddleMCP | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The middle finger metacarpophalangeal joint. |
| RingMCP   | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The ring finger metacarpophalangeal joint.   |
| PinkyMCP  | [FingerJoint](/api-reference/fingerjoint.md) | Read-Only. The pinky finger metacarpophalangeal joint.  |

### Example

The example shows how to manage a palm with the `Palm` class.

#### Create a palm with a constructor

```csharp
// Create a thumb MCP joint with the specified 2D position and 
// 3D position.
FingerJoint thumbMCP = new FingerJoint
(
    FingerJointType.ThumbMCP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create a pinky MCP joint with the specified 2D position and 
// 3D position.
FingerJoint pinkyMCP = new FingerJoint
(
    FingerJointType.PinkyMCP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

 // Create a palm with the specified joints.
 Palm palm = new Palm
 (
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.ThumbMCP, thumbMCP },
         { FingerJointType.PinkyMCP, pinkyMCP }
     }
 );
```

#### Get joint information from a palm

```csharp
// Get palm pinky MCP joint.
FingerJoint pinkyMCPNew = palm.PinkyMCP;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger/palm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
